[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.WriteString

Write string to file

## Declaration

Source position: inifiles.pp line 179

`public procedure TIniFile.WriteString(`
`const Section: String;`
`const Ident: String;`
`const Value: String`
`); override;`

## Arguments

`Section` |  | Section to write key value in
`Ident` |  | Key name to use
`Value` |  | String value to write

## Description

WriteString implements the TCustomIniFile.WriteString abstract method by writing the string to the in-memory copy of the ini file. If CacheUpdates property is False, then the whole file is immediatly written to disk as well.

## Errors

If an error happens when the file is written to disk, an exception will be raised.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .